in scala.util.automata
class WordBerrySethi

`abstract class` WordBerrySethi
  `extends` scala.util.automata.BaseBerrySethi
  `with` scala.ScalaObject

  This class turns a regexp into a NondetWordAutom using the celebrated position automata construction (also called Berry-Sethi or Glushkov)

Author:
  Burak Emir
Version:
  1.0

Constructor Summary
| `def` this

Type Summary
| `type` _labelT

Val Summary
`abstract` `override` | `val` lang : scala.util.regexp.WordExp

Val inherited from scala.util.automata.BaseBerrySethi
emptySet

Var Summary
`protected` | `var` defaultq : scala.Array[scala.List[scala.Int]]
`protected` | `var` deltaq : scala.Array[scala.collection.mutable.HashMap[WordBerrySethi.this.lang._labelT, scala.List[scala.Int]]]
`protected` | `var` initials : scala.collection.immutable.Set[scala.Int]
`protected` | `var` labelAt : scala.collection.immutable.TreeMap[scala.Int, WordBerrySethi.this.lang._labelT]
`protected` | `var` labels : scala.collection.mutable.HashSet[WordBerrySethi.this.lang._labelT]

Var inherited from scala.util.automata.BaseBerrySethi
finalTag , finals, follow, globalFirst, pos

Def Summary
| `def` automatonFrom (pat: WordBerrySethi.this.lang.RegExp, finalTag: scala.Int) : scala.util.automata.NondetWordAutom[WordBerrySethi.this.lang._labelT]
`protected` | `def` collectTransitions : scala.Unit
`override` `protected` | `def` compFirst (r: WordBerrySethi.this.lang.RegExp) : scala.collection.immutable.Set[scala.Int] Computes `first(r)` where the word regexp `r`.
`override` `protected` | `def` compFollow1 (fol1: scala.collection.immutable.Set[scala.Int], r: WordBerrySethi.this.lang.RegExp) : scala.collection.immutable.Set[scala.Int] Returns the first set of an expression, setting the follow set along the way.
`override` `protected` | `def` compLast (r: WordBerrySethi.this.lang.RegExp) : scala.collection.immutable.Set[scala.Int] Computes `last(r)` where the word regexp `r`.
`protected` | `def` initialize (subexpr: scala.Seq[WordBerrySethi.this.lang.RegExp]) : scala.Unit
`protected` | `def` initializeAutom : scala.Unit
`protected` | `def` makeTransition (src: scala.Int, dest: scala.Int, label: WordBerrySethi.this.lang._labelT) : scala.Unit
`protected` | `def` seenLabel (r: WordBerrySethi.this.lang.RegExp, i: scala.Int, label: WordBerrySethi.this.lang._labelT) : scala.Unit called at the leaves of the regexp
`protected` | `def` seenLabel (r: WordBerrySethi.this.lang.RegExp, label: WordBerrySethi.this.lang._labelT) : scala.Int
`override` | `def` traverse (r: WordBerrySethi.this.lang.RegExp) : scala.Unit

Def inherited from scala.util.automata.BaseBerrySethi
compFirst , compFollow, compFollow1, compLast, traverse

Constructor Detail

`def` this

Val Detail

`abstract override val` lang : scala.util.regexp.WordExp

Var Detail

`protected var` defaultq : scala.Array[scala.List[scala.Int]]

`protected var` deltaq : scala.Array[scala.collection.mutable.HashMap[WordBerrySethi.this.lang._labelT, scala.List[scala.Int]]]

`protected var` initials : scala.collection.immutable.Set[scala.Int]

`protected var` labelAt : scala.collection.immutable.TreeMap[scala.Int, WordBerrySethi.this.lang._labelT]

`protected var` labels : scala.collection.mutable.HashSet[WordBerrySethi.this.lang._labelT]

Def Detail

`def` automatonFrom (pat: WordBerrySethi.this.lang.RegExp, finalTag: scala.Int): scala.util.automata.NondetWordAutom[WordBerrySethi.this.lang._labelT]

`protected def` collectTransitions : scala.Unit

`override protected def` compFirst (r: WordBerrySethi.this.lang.RegExp): scala.collection.immutable.Set[scala.Int]

  Computes `first(r)` where the word regexp `r`.

Parameters:
  `r -` the regular expression
Returns:
  the computed set `first(r)`

`override protected def` compFollow1 (fol1: scala.collection.immutable.Set[scala.Int], r: WordBerrySethi.this.lang.RegExp): scala.collection.immutable.Set[scala.Int]

  Returns the first set of an expression, setting the follow set along the way.

Parameters:
  `fol1 -` ...
Parameters:
  `r -` the regular expression
Returns:
  the computed set

`override protected def` compLast (r: WordBerrySethi.this.lang.RegExp): scala.collection.immutable.Set[scala.Int]

  Computes `last(r)` where the word regexp `r`.

Parameters:
  `r -` the regular expression
Returns:
  the computed set `last(r)`

`protected def` initialize (subexpr: scala.Seq[WordBerrySethi.this.lang.RegExp]): scala.Unit

`protected def` initializeAutom : scala.Unit

`protected def` makeTransition (src: scala.Int, dest: scala.Int, label: WordBerrySethi.this.lang._labelT): scala.Unit

`protected def` seenLabel (r: WordBerrySethi.this.lang.RegExp, i: scala.Int, label: WordBerrySethi.this.lang._labelT): scala.Unit

  called at the leaves of the regexp

`protected def` seenLabel (r: WordBerrySethi.this.lang.RegExp, label: WordBerrySethi.this.lang._labelT): scala.Int

`override def` traverse (r: WordBerrySethi.this.lang.RegExp): scala.Unit